#
# spec file for package python3-Flask-WTF
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-Flask-WTF
Version:	0.12
Release:	1.1
License:	BSD-3-Clause
Summary:	Simple integration of Flask and WTForms
Url:		https://flask-wtf.readthedocs.org/en/latest/
Group:		Development/Languages/Python
Source0: https://files.pythonhosted.org/packages/source/F/Flask-WTF/Flask-WTF-%{version}.tar.gz
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-Flask
BuildRequires:	python3-WTForms >= 1.0.5
BuildRequires:	python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

Requires:	python3-Flask
Requires:	python3-WTForms >= 1.0.5

%description
Simple integration of Flask with WTForms.

Features

 * Integration with wtforms.
 * Secure Form with csrf token.
 * Global csrf protection.
 * Recaptcha supporting.
 * File upload that works with Flask-Uploads.
 * Internationalization integration.


%prep
%setup -q -n Flask-WTF-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#TODO: mvyskocil, needs Flask-Babel to run
#%check
#python3 setup.py test

%files
%defattr(-,root,root)
%doc LICENSE
%{python3_sitelib}/Flask_WTF-%{version}-py%{py3_ver}.egg-info/
%{python3_sitelib}/flask_wtf/

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Jul 19 2015 arun@gmx.de
- update to version 0.12:
  * Abstract protect_csrf() into a separate method
  * Update reCAPTCHA configuration
  * Fix reCAPTCHA error handle
* Sun Jan 25 2015 arun@gmx.de
- update to version 0.11:
  * Use the new reCAPTCHA API via #164.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * add package name in header
- update to version 0.10.3:
  * Add configuration: WTF_CSRF_HEADERS via #159.
  * Support customize hidden tags via #150.
  * And many more bug fixes
- changes from version 0.10.2:
  * Update translation for reCaptcha via #146.
- changes from version 0.10.1:
  * Update RECAPTCHA API SERVER URL via #145.
  * Update requirement Werkzeug>=0.9.5
  * Fix CsrfProtect exempt for blueprints via #143.
- changes from version 0.10.0:
  * Add configuration: WTF_CSRF_METHODS
  * Support WTForms 2.0 now
  * Fix csrf validation without time limit (time_limit=False)
  * CSRF exempt supports blueprint #111.
* Mon Mar 24 2014 mvyskocil@opensuse.org
- Initial packaging of Flask-WTF 0.9.5 for openSUSE
